Loading...
Searching...
No Matches
gtsam::DSFBase Class Reference
Base

## Detailed Description

A fast implementation of disjoint set forests that uses vector as underly data structure.

This is the absolute minimal DSF data structure, and only allows size_t keys Uses rank compression but not union by rank :-(

Inheritance diagram for gtsam::DSFBase:

## Public Member Functions

| DSFBase (const size_t numNodes)
| Constructor that allocates new memory, allows for keys 0...numNodes-1.
| DSFBase (const boost::shared_ptr< V > &v_in)
| Constructor that uses an existing, pre-allocated vector.
size_t | find (size_t key) const
| Find the label of the set in which {key} lives.
void | merge (const size_t &i1, const size_t &i2)
| Merge the sets containing i1 and i2. Does nothing if i1 and i2 are already in the same set.

## Public Types

typedef std::vector< size_t > | V
| Vector of ints.

The documentation for this class was generated from the following files:

- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/base/DSFVector.h
- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/base/DSFVector.cpp